## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 95b2410e31ebf28b56a4fffffef52c7d13d657ad
%global snapdate 20221119

Name:           c4project
Summary:        Useful CMake scripts
# This project has never been assigned a version. The author really intends it
# for use as a git submodule rather than for system-wide installation.
Version:        0^%{snapdate}git%(echo '%{commit}' | cut -b -7)
Release:        %autorelease

URL:            https://github.com/biojppm/cmake
# The entire source is MIT, except Toolchain-PS4.cmake and
# Toolchain-XBoxOne.cmake, which are Apache-2.0.
License:        MIT AND Apache-2.0
Source0:        %{url}/archive/%{commit}/cmake-%{commit}.tar.gz

BuildArch:      noarch

Requires:       cmake-filesystem
Requires:       git-core

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%prep
%autosetup -n cmake-%{commit}

# For now, we elect not to install the “bm-xp” browser-based benchmark explorer
# tool. It would be inconvenient to package this in a way that was useful in
# practice, and it’s not required by any of the CMake macros that are the real
# point of packaging this.
rm -rvf 'bm-xp'


%build
# Nothing to do


%install
install -d '%{buildroot}%{_datadir}/cmake/c4project'
cp -vrp * '%{buildroot}%{_datadir}/cmake/c4project'


%check
# No upstream tests


%files
%license LICENSE.txt
%doc README.md

%{_datadir}/cmake/c4project


%changelog
* Mon Dec 19 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20221119git95b2410-1
- Update to 95b2410e with minor fixes

* Wed Aug 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220823git9fa06ca-1
- Update to 9fa06ca

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220804gitd99c4be-1
- Update to d99c4be (patch upstreamed)

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220802git2825506-2
- Patch: Add s390x to c4_get_target_cpu_architecture

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220802git2825506-1
- Update to 2825506

* Sun Jul 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220226git41a3a29-4
- Update License field to SPDX

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0^20220226git41a3a29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220226git41a3a29-2
- Reduce macro indirection in the spec file

* Sat Feb 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0^20220226git41a3a29-1
- Update to 41a3a29; move snapshot info from release to version

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> 0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0-6
- Update to 9416f29

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0-5
- Add dependency on git-core for c4_proj_get_version

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0-4
- Update to 7a35d94

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0-3
- Simplify %%%%install section

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0-2
- Update to 8e2a2bf
- [fix] fix install tests for aarch64
- [impl] add facilities to extract predefined CPU arch macros

* Mon Aug 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0-1
- Initial package
